GrailsMockErrors (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.testing

## [Groovy] Class GrailsMockErrors

- org.codehaus.groovy.grails.plugins.testing.GrailsMockErrors

- A simple Spring Errors implementation that adds support for Groovy- style access to field errors. For example, if you have a mocked domain instance "dc", then you can get the error code for a field "name" by using this code:

         dc.errors["name"]

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.validation.BeanPropertyBindingResult` | `MODEL_KEY_PREFIX, NESTED_PATH_SEPARATOR`
    `class org.springframework.validation.AbstractPropertyBindingResult` | `MODEL_KEY_PREFIX, NESTED_PATH_SEPARATOR`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.Object` | `ERROR_CODE_TABLE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsMockErrors (java.lang.Object instance)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getAt(java.lang.String field)`
    `java.lang.Object` | `isEmpty()`
    `java.lang.Object` | `propertyMissing(java.lang.String name)`
    `java.lang.Object` | `putAt(java.lang.String field, java.lang.String errorCode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.validation.BeanPropertyBindingResult` | `org.springframework.validation.BeanPropertyBindingResult#getTarget(), org.springframework.validation.BeanPropertyBindingResult#getPropertyAccessor(), org.springframework.validation.BeanPropertyBindingResult#getFieldType(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#findEditor(java.lang.String, java.lang.Class), org.springframework.validation.BeanPropertyBindingResult#getPropertyEditorRegistry(), org.springframework.validation.BeanPropertyBindingResult#initConversion(org.springframework.core.convert.ConversionService), org.springframework.validation.BeanPropertyBindingResult#equals(java.lang.Object), org.springframework.validation.BeanPropertyBindingResult#hashCode(), org.springframework.validation.BeanPropertyBindingResult#reject(java.lang.String, [Ljava.lang.Object;, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#hasErrors(), org.springframework.validation.BeanPropertyBindingResult#getModel(), org.springframework.validation.BeanPropertyBindingResult#getObjectName(), org.springframework.validation.BeanPropertyBindingResult#addError(org.springframework.validation.ObjectError), org.springframework.validation.BeanPropertyBindingResult#getRawFieldValue(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#resolveMessageCodes(java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#resolveMessageCodes(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#recordSuppressedField(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getSuppressedFields(), org.springframework.validation.BeanPropertyBindingResult#rejectValue(java.lang.String, java.lang.String, [Ljava.lang.Object;, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#addAllErrors(org.springframework.validation.Errors), org.springframework.validation.BeanPropertyBindingResult#getErrorCount(), org.springframework.validation.BeanPropertyBindingResult#getAllErrors(), org.springframework.validation.BeanPropertyBindingResult#getGlobalErrors(), org.springframework.validation.BeanPropertyBindingResult#getGlobalError(), org.springframework.validation.BeanPropertyBindingResult#getFieldErrors(), org.springframework.validation.BeanPropertyBindingResult#getFieldErrors(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldError(), org.springframework.validation.BeanPropertyBindingResult#getFieldError(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldValue(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getMessageCodesResolver(), org.springframework.validation.BeanPropertyBindingResult#setMessageCodesResolver(org.springframework.validation.MessageCodesResolver), org.springframework.validation.BeanPropertyBindingResult#toString(), org.springframework.validation.BeanPropertyBindingResult#reject(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#reject(java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#setNestedPath(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getNestedPath(), org.springframework.validation.BeanPropertyBindingResult#pushNestedPath(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#popNestedPath(), org.springframework.validation.BeanPropertyBindingResult#rejectValue(java.lang.String, java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#rejectValue(java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#hasGlobalErrors(), org.springframework.validation.BeanPropertyBindingResult#getGlobalErrorCount(), org.springframework.validation.BeanPropertyBindingResult#hasFieldErrors(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#hasFieldErrors(), org.springframework.validation.BeanPropertyBindingResult#getFieldErrorCount(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldErrorCount(), org.springframework.validation.BeanPropertyBindingResult#wait(long, int), org.springframework.validation.BeanPropertyBindingResult#wait(long), org.springframework.validation.BeanPropertyBindingResult#wait(), org.springframework.validation.BeanPropertyBindingResult#getClass(), org.springframework.validation.BeanPropertyBindingResult#notify(), org.springframework.validation.BeanPropertyBindingResult#notifyAll()`
    `class org.springframework.validation.AbstractPropertyBindingResult` | `org.springframework.validation.AbstractPropertyBindingResult#getFieldType(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#findEditor(java.lang.String, java.lang.Class), org.springframework.validation.AbstractPropertyBindingResult#getPropertyEditorRegistry(), org.springframework.validation.AbstractPropertyBindingResult#getPropertyAccessor(), org.springframework.validation.AbstractPropertyBindingResult#initConversion(org.springframework.core.convert.ConversionService), org.springframework.validation.AbstractPropertyBindingResult#equals(java.lang.Object), org.springframework.validation.AbstractPropertyBindingResult#hashCode(), org.springframework.validation.AbstractPropertyBindingResult#getTarget(), org.springframework.validation.AbstractPropertyBindingResult#reject(java.lang.String, [Ljava.lang.Object;, java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#hasErrors(), org.springframework.validation.AbstractPropertyBindingResult#getModel(), org.springframework.validation.AbstractPropertyBindingResult#getObjectName(), org.springframework.validation.AbstractPropertyBindingResult#addError(org.springframework.validation.ObjectError), org.springframework.validation.AbstractPropertyBindingResult#getRawFieldValue(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#resolveMessageCodes(java.lang.String, java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#resolveMessageCodes(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#recordSuppressedField(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#getSuppressedFields(), org.springframework.validation.AbstractPropertyBindingResult#rejectValue(java.lang.String, java.lang.String, [Ljava.lang.Object;, java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#addAllErrors(org.springframework.validation.Errors), org.springframework.validation.AbstractPropertyBindingResult#getErrorCount(), org.springframework.validation.AbstractPropertyBindingResult#getAllErrors(), org.springframework.validation.AbstractPropertyBindingResult#getGlobalErrors(), org.springframework.validation.AbstractPropertyBindingResult#getGlobalError(), org.springframework.validation.AbstractPropertyBindingResult#getFieldErrors(), org.springframework.validation.AbstractPropertyBindingResult#getFieldErrors(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#getFieldError(), org.springframework.validation.AbstractPropertyBindingResult#getFieldError(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#getFieldValue(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#getMessageCodesResolver(), org.springframework.validation.AbstractPropertyBindingResult#setMessageCodesResolver(org.springframework.validation.MessageCodesResolver), org.springframework.validation.AbstractPropertyBindingResult#toString(), org.springframework.validation.AbstractPropertyBindingResult#reject(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#reject(java.lang.String, java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#setNestedPath(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#getNestedPath(), org.springframework.validation.AbstractPropertyBindingResult#pushNestedPath(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#popNestedPath(), org.springframework.validation.AbstractPropertyBindingResult#rejectValue(java.lang.String, java.lang.String, java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#rejectValue(java.lang.String, java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#hasGlobalErrors(), org.springframework.validation.AbstractPropertyBindingResult#getGlobalErrorCount(), org.springframework.validation.AbstractPropertyBindingResult#hasFieldErrors(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#hasFieldErrors(), org.springframework.validation.AbstractPropertyBindingResult#getFieldErrorCount(java.lang.String), org.springframework.validation.AbstractPropertyBindingResult#getFieldErrorCount(), org.springframework.validation.AbstractPropertyBindingResult#wait(long, int), org.springframework.validation.AbstractPropertyBindingResult#wait(long), org.springframework.validation.AbstractPropertyBindingResult#wait(), org.springframework.validation.AbstractPropertyBindingResult#getClass(), org.springframework.validation.AbstractPropertyBindingResult#notify(), org.springframework.validation.AbstractPropertyBindingResult#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.Object ERROR_CODE_TABLE

  - ### Constructor Detail

    - #### GrailsMockErrors(java.lang.Object instance)

  - ### Method Detail

    - #### java.lang.Object getAt(java.lang.String field)

    - #### java.lang.Object isEmpty()

    - #### java.lang.Object propertyMissing(java.lang.String name)

    - #### java.lang.Object putAt(java.lang.String field, java.lang.String errorCode)